searchNodes=[{"type":"module","title":"XmerlXmlIndent","doc":"","ref":"XmerlXmlIndent.html"},{"type":"function","title":"XmerlXmlIndent.#element#/5","doc":"","ref":"XmerlXmlIndent.html##element#/5"},{"type":"function","title":"XmerlXmlIndent.#root#/4","doc":"","ref":"XmerlXmlIndent.html##root#/4"},{"type":"function","title":"XmerlXmlIndent.#text#/1","doc":"","ref":"XmerlXmlIndent.html##text#/1"},{"type":"function","title":"XmerlXmlIndent.#xml-inheritance#/0","doc":"","ref":"XmerlXmlIndent.html##xml-inheritance#/0"},{"type":"function","title":"XmerlXmlIndent.indent/0","doc":"This function specifies the indent character. The default is (two spaces).","ref":"XmerlXmlIndent.html#indent/0"},{"type":"function","title":"XmerlXmlIndent.new_line/0","doc":"This function specifies the end of line (EOL) character. The default is .","ref":"XmerlXmlIndent.html#new_line/0"},{"type":"module","title":"XmerlXmlIndentBase","doc":"Erlang OTP's built-in xmerl library lacks functionality to print XML with indent. This module fills the gap by providing a custom callback to print XML with indent. This module is taken from https://github.com/erlang/otp/blob/master/lib/xmerl/src/xmerl_xml.erl, converted to Elixir and modified for indentation. This module is used in conjunction with Erlang's xmerl library. See the project documentation for details.","ref":"XmerlXmlIndentBase.html"},{"type":"extras","title":"xmerl_xml_indent","doc":"Erlang OTP's built-in xmerl module lacks the functionality to print XML with indentation. This module is an alternative to xmerl_xml to print XML with indentation. This module is taken from https://github.com/erlang/otp/blob/master/lib/xmerl/src/xmerl_xml.erl, converted to Elixir and modified for indentation. As the module name suggests, this library must be used in conjunction with Erlang's built-in xmerl library.","ref":"readme.html"},{"type":"extras","title":"xmerl_xml_indent - Installation","doc":"Add xmerl_xml_indent to your list of dependencies in mix.exs : def deps do [ { :xmerl_xml_indent , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation"},{"type":"extras","title":"xmerl_xml_indent - Usage","doc":"xml_str = &quot;&lt;?xml version = \\&quot; 1.0 \\&quot; ?&gt;&lt;Level1&gt;&lt;Level2&gt;&lt;Level3A&gt;This is level 3&lt;/Level3A&gt;&lt;Level3B&gt;This is level 3B&lt;/Level3B&gt;&lt;Level3C&gt;&lt;Level4&gt;This is level 4&lt;/Level4&gt;&lt;Level4B&gt;&lt;Level5&gt;This is level 5&lt;/Level5&gt;&lt;/Level4B&gt;&lt;/Level3C&gt;&lt;/Level2&gt;&lt;/Level1&gt;&quot; xml_chars = String . to_charlist ( xml_str ) { xml_parsed , _ } = :xmerl_scan . string ( xml_chars ) xml_exported = :xmerl . export ( [ xml_parsed ] , XmerlXmlIndent ) to_string ( xml_exported ) The above code produces XML output: &lt;?xml version=&quot;1.0&quot;?&gt; &lt;Level1&gt; &lt;Level2&gt; &lt;Level3A&gt;This is level 3A&lt;/Level3A&gt; &lt;Level3B&gt;This is level 3B&lt;/Level3B&gt; &lt;Level3C&gt; &lt;Level4&gt;This is level 4&lt;/Level4&gt; &lt;Level4B&gt; &lt;Level5&gt;This is level 5&lt;/Level5&gt; &lt;/Level4B&gt; &lt;/Level3C&gt; &lt;/Level2&gt; &lt;/Level1&gt;","ref":"readme.html#usage"},{"type":"extras","title":"xmerl_xml_indent - Customizing End of Line (EOL) and Indent characters","doc":"XmerlXmlIndent uses LF ( \\n ) as the EOL character and two spaces as the indent. If you want to customize this behavior, you can create a custom module. For example: defmodule XmerlXmlIndentCustom do use XmerlXmlIndentBase def new_line ( ) do &quot; \\r \\n &quot; end def indent ( ) do &quot; \\t &quot; end end","ref":"readme.html#customizing-end-of-line-eol-and-indent-characters"}]